Carrier connections
Create a carrier connection
POST
/
v1
/
carrier-connections
/
Create a carrier connection
curl --request POST \
--url https://api.leamout.com/v1/carrier-connections/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"inbound_enabled": true,
"max_cps": 123,
"max_concurrent_calls": 123,
"max_daily_minutes": 123,
"codecs": [
"<string>"
],
"supports_video": true,
"supports_fax": true
}
'import requests
url = "https://api.leamout.com/v1/carrier-connections/"
payload = {
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"inbound_enabled": True,
"max_cps": 123,
"max_concurrent_calls": 123,
"max_daily_minutes": 123,
"codecs": ["<string>"],
"supports_video": True,
"supports_fax": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
provider_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
name: '<string>',
status: '<string>',
inbound_enabled: true,
max_cps: 123,
max_concurrent_calls: 123,
max_daily_minutes: 123,
codecs: ['<string>'],
supports_video: true,
supports_fax: true
})
};
fetch('https://api.leamout.com/v1/carrier-connections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Organization bearer credential beginning with lm_org_.
Body
application/json
Response
Carrier connection created
⌘I
Create a carrier connection
